<? if ( $this->count ): ?>
<?
	$rows = array();
	
	for ( $i = 0; $i < ceil(count($this->escorts) / $this->perRow); $i++ ) {
		$rows[] = array_slice($this->escorts, $i * $this->perRow, $this->perRow);
	}
	
	$thumb = 'laction_thumb';
	if ( $this->perRow == 3 ) {
		$thumb = 'xl_la_thumb';
	}
?>
<div class="la-escorts <?= ($this->perRow == 3) ? 'xl' : '' ?>">
	<? foreach($rows as $row): ?>
	<div class="la-row">
		<? foreach( $row as $e => $escort ): ?>
			<? if ( ! $escort instanceof Model_EscortV2Item ) $escort = new Model_EscortV2Item($escort); ?>
			<div class="la-escort <?= ( ($e + 1 ) == $this->perRow ) ? 'last' : '' ?>">
				<a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>" class="showname"><?= $escort->showname ?></a>

				<div class="la-wrapper" act="<?= $escort->action_type ?>" escort_id="<?= $escort->id ?>">
					<a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>"><img src="<?= $escort->getMainPhoto()->getUrl($thumb) ?>" <?= ($this->perRow == 5) ? 'width="167" height="167"' : 'width="296" height="216"' ?> /></a>

					<div class="la-sticker"><?= $this->defines['latest_actions_titles'][$escort->action_type] ?></div>
				</div>
			</div>
		
			<? if ( ($e + 1 ) == count($row) ): ?>
				<div class="clear"></div>
			<? endif; ?>
		<? endforeach; ?>
	</div>
	
	<div class="sep"></div>
	
	<? endforeach; ?>
</div>
<? else: ?>
	<p class="no_escorts"><?= __('no_escorts_found') ?></p>
<? endif; ?>

<? $pages_count = ceil($this->count / $this->perPage); ?>
<? if( $pages_count != 1 ): ?>
<div class="paging">
	<p>
		<? $pages = $this->paging($this->count, $this->page, $this->perPage); ?>
		<? if ( 1 < $this->page): ?>
		<a class="prev" href="#" onclick="return Cubix.Filter.Set({ page: ['<?= $this->page - 1 ?>'] })"></a>
		<? endif ?>

		<? foreach ( $pages as $page ): ?>

			<? if ( $this->page == $page ): ?>
			<span><?= $page ?></span>
			<? else: ?>
			<a class="p" href="#" onclick="return Cubix.Filter.Set({ page: ['<?= $page ?>'] })"><?= $page ?></a>
			<? endif ?>

		<? endforeach ?>

		<? if ($this->page < $pages_count - 2 && end($pages) < $pages_count): ?>
		...
		<a class="p" href="#" onclick="return Cubix.Filter.Set({ page: ['<?= $pages_count ?>'] })"><?= $pages_count ?></a>
		<? endif; ?>

		<? if ( $pages_count > $this->page): ?>
		<a class="next" href="" onclick="return Cubix.Filter.Set({ page: ['<?= $this->page + 1 ?>'] })"></a>
		<? endif ?>
	</p>
</div>
<? endif; ?>
